import { IDeprecationAdvisor, ITabulator } from '../../../../../../types/src/table';
import { default as CoreFeature } from '../CoreFeature';

export default class DeprecationAdvisor extends CoreFeature implements IDeprecationAdvisor {
    constructor(table: ITabulator);
    _warnUser(...args: any[]): void;
    check(oldOption: string, newOption?: string, convert?: (value: unknown) => unknown): boolean;
    checkMsg(oldOption: string, msg: string): boolean;
    msg(msg: string): void;
}
